
# phogen_map is needed for generating phogen_map.h
subdir('phogen_map')

phogen_map_h = custom_target(
    'phogen_map.h',
    input : PHOGEN_WORD_LIST,
    output : 'phogen_map.h',
    command : [PHOGEN_MAP_EXE, '--input=@INPUT@', '--clang=@OUTPUT@'])

phogen_inc = include_directories('inc')

phogen_lib = static_library(
        'phogen',
        [phogen_map_h, 'src/phogen.c'],
        include_directories : phogen_inc)

phogen_dep = declare_dependency(link_with : phogen_lib, include_directories : phogen_inc)
